#
# spec file for package libzip1
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define pkg_name libzip
Summary:        C library for reading, creating, and modifying zip archives

Name:           libzip1
Version:        0.9
Release:        30.31.1
License:        BSD3c
Group:          Development/Libraries/C and C++
Source0:        http://www.nih.at/libzip/%{pkg_name}-%{version}.tar.bz2
Url:            http://www.nih.at/libzip
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         libzip-0.8.hg20080403-visibility.patch
Patch1:         libzip-0.9-CVE-2011-0421.patch

%description
libzip is a C library for reading, creating, and modifying zip
archives. Files can be added from data buffers, files, or compressed
data copied directly from other zip archives. Changes made without
closing the archive can be reverted. The API is documented by man
pages.



Authors:
--------
    Dieter Baron <dillo@giga.or.at>
    Thomas Klausner <tk@giga.or.at>

%package -n libzip-util
License:        BSD3c
Summary:        C library for reading, creating, and modifying zip archives
Group:          Development/Libraries/C and C++

%description -n libzip-util
libzip is a C library for reading, creating, and modifying zip
archives. Files can be added from data buffers, files, or compressed
data copied directly from other zip archives. Changes made without
closing the archive can be reverted. The API is documented by man
pages.



Authors:
--------
    Dieter Baron <dillo@giga.or.at>
    Thomas Klausner <tk@giga.or.at>

%package -n libzip-devel
License:        BSD3c
Summary:        C library for reading, creating, and modifying zip archives
Group:          Development/Libraries/C and C++
Requires:       libzip1 = %{version} glibc-devel

%description -n  libzip-devel
libzip is a C library for reading, creating, and modifying zip
archives. Files can be added from data buffers, files, or compressed
data copied directly from other zip archives. Changes made without
closing the archive can be reverted. The API is documented by man
pages.



Authors:
--------
    Dieter Baron <dillo@giga.or.at>
    Thomas Klausner <tk@giga.or.at>

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
autoreconf -fiv
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%check
export MALLOC_CHECK_=2
%{__make} %{?jobs:-j%jobs} check
unset MALLOC_CHECK_

%install
%{__make} install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libzip.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libzip.so.1*

%files -n libzip-util
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS TODO
%{_bindir}/ziptorrent
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_mandir}/man1/*.1*

%files -n libzip-devel
%defattr(-,root,root)
%{_libdir}/libzip.so
%{_includedir}/zip.h
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*.3*

%changelog
* Mon Mar 21 2011 mvyskocil@suse.cz
- fix bnc#681193 - VUL-0: libzip NULL deref (CVE-2011-0421)
* Sun Jul 27 2008 crrodriguez@suse.de
- update to version 0.9
  * remove erroneous references to GPL
  * add support for torrentzip
  * new functions: zip_get_archive_flag, zip_set_archive_flag
  * zip_source_zip: add flag to force recompression
  * zip_sorce_file: only keep file open while reading from it
* Thu Apr  3 2008 crrodriguez@suse.de
- initial version for openSUSE 11, needed by ARK/KDE4
* Thu Jun  7 2007 judas_iscariote@shorewall.net
- update to stable 0.8 version
